<%@ page contentType="text/html;charset=utf-8"%>
<%@ page import="java.util.*"%>
<%	
    String path = request.getContextPath();
	String url = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path;
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>上海市注册会计师协会管理平台</title>
<link href="<%=url%>/images/favicon.ico" rel="shortcut icon"/>
<link href="<%=url%>/themes/css/login/bootstrap.min.css?v=1.1" rel="stylesheet" type="text/css" />
<link href="<%=url%>/themes/css/login/login.css?v=1.2" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<%=url%>/js/jquery.1.8.2.js"></script>
<script type="text/javascript">
function doLogin_M(){
	if($.trim($("#laccount_m").val())==""){
		alert("用户名不能为空!");
		return false;
	}
	
	if($.trim($("#lpassword_m").val())==""){
		alert("密码不能为空!");
		return false;
	}
	 
	if($.trim($("#lrandomnum_m").val())==""){
		alert("验证码不能为空!");
		return false;
	}
	
	var params=$("#loginform_m").serialize();	
	$.ajax({url:'<%=url%>/login/getLogin_M.do',type:'post',dataType:'json',data:params,success:function(obj){    		
		if(obj.utype=="success"){        
        	window.location.href="../manager.jsp";
        }else if(obj.utype=="randcode"){
        	alert("验证码输入错误!");
        }else if(obj.utype=="account"){
        	alert("用户名、密码不能为空，请输入！");
        }else{
          	alert("用户名或密码错误！");
        } 
   	}});
}

//刷新验证码
function reloadcode(){
    var img = document.getElementById("imgcode");
    $('#imgcode').attr('src','image.jsp?'+new Date().getTime());
} 

//按回车执行
function keyLogin(){
	if (event.keyCode == "13") {
		doLogin_M();
	}	
}
</script>
</head>
<body>
    <div class="container">
        <div class="login-left">
            <img src="<%=url%>/themes/default/images/login.png" height="50" width="475"/>
            <p style="margin-top:24px;">协会的宗旨是服务、监督、管理、协调、促进。</p>
            <p>协会依法接受上海市社会团体管理局的监督管理、接受上海市财政局的监督指导</p>
            <p>	和中国注册会计师协会的指导。</p>
            <p>上海市注册会计师协会是本市注册会计师的行业组织，也是中国注册会计师协会的地方组织。</p>
        </div>

        <div class="login-right">
            <div class="login-right-header">
                <p class="login-right-title">账号密码登录</p>
            </div>
            <div class="login-right-body">
               <form action="" name="loginform_m" id="loginform_m">
                   <div class="login-input-user"><input type="text" name="laccount_m" id="laccount_m" placeholder="用户名称"/></div>
                   <div class="login-input-pwd"><input type="password" name="lpassword_m" id="lpassword_m" placeholder="密码"/></div>
                   <div class="login-right-code">
                       <input type="text" class="login-input-code" onkeydown="keyLogin();" name="lrandomnum_m" id="lrandomnum_m" placeholder="请输入"/>
                       <img id="imgcode" onclick="return reloadcode();" border="0" align="absMiddle" src="<%=url%>/login/image.jsp" width="80" height="40"/>
                   </div>
                   
                   <div class="login-right-unknowpwd">
                   	<!-- 
                       <div class="login-right-check">
                           <input type="checkbox" class="login-right-input-check"/>
                           <p>&nbsp;自动登录</p>
                       </div>
                       <div class="login-right-unback"><a>忘记密码</a></div> -->
                   </div> 
                   <button type="button" class="btn btn-primary btn-lg btn-block login-right-btn" onclick="doLogin_M()">登录</button>
               </form>
            </div>
        </div>
    </div>
    <div class="footer">
        <img src="<%=url%>/themes/default/images/login/footer-logo.png"/>沪公网安备 31010402000950号  &nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.beian.miit.gov.cn" target="_blank">沪ICP备05007870</a> &nbsp;&nbsp;&nbsp;&nbsp;Copyright &copy; 2020 上海市注册会计师协会 版权所有  建议使用：Chrome、360浏览器
    </div>
</body>
</html>